Skip to main content
GET
/
v1
/
accounts
/
addresses
/
deposit
List all account deposit addresses
curl --request GET \
  --url https://api-sandbox.circle.com/v1/accounts/addresses/deposit \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.circle.com/v1/accounts/addresses/deposit"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.circle.com/v1/accounts/addresses/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
      "addressTag": "123456789",
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "accountId": "<string>"
    }
  ]
}
{
"code": 4,
"message": "Unauthorized."
}
{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string

Identifier of the account. Filters results to fetch only resources associated with the specified account.

Example:

"1000565227"

chain
enum<string>

Filter by blockchain. A blockchain that a given currency is available on.

Available options:
ALGO,
APTOS,
ARB,
AVAX,
BASE,
BTC,
CELO,
CODEX,
ETH,
HBAR,
HYPEREVM,
INK,
LINEA,
NEAR,
NOBLE,
OP,
PLUME,
PAH,
POLY,
SEI,
SOL,
SONIC,
SUI,
UNI,
WORLDCHAIN,
XDC,
XLM,
XRP,
ZKS,
ZKSYNC
currency
enum<string> | null

Filter by currency. A currency associated with a balance or address.

Available options:
USD,
EUR

Response

Successfully retrieved a list of deposit addresses.

data
object[]